TG_VERSION = "2.3";

TotalGoldArray = {};
TG_INITIALIZED = false;
TG_VARIABLES_LOADED = false;
TG_ENTERINGWORLD = false;
TG_GOT_PLAYERNAME = false;
TG_REALMNAME = "";
TG_PLAYERNAME = "";
TG_INDEX = "";
TG_STARTINGGOLD = 0;
TG_LASTAMOUNT = 0;
TG_WOFFSET = 10;


--[[*********************************************
	Text to Translate
*************************************************--]]

TG_TITLE = "Total Gold";
TG_LOADEDMSG = TG_TITLE.." v"..TG_VERSION.." loaded successfully.  Type /tg to view the report or /tg help for slash commands.";
TG_BINDING = "Toggle Report";

TG_GP = "gp";
TG_SP = "sp";
TG_CP = "cp";
TG_TEXT = "Text";
TG_COINS = "Coins";
TG_SESSIONBUTTON = "Reset Session";

TG_TOTAL = "TOTAL:";
TG_SESSIONEARNINGSTEXT = "Session Earnings:";
TG_OTHEREARNINGSTEXT = "Since Last Report:";
TG_EARNINGSPERHOURTEXT = "Earnings Per Hour:";

TG_HELPARRAY = {
	"TOTAL GOLD HELP",
	"---------------",
	"\n",
	"Use /tg or /totalgold to display/hide a report of",
	"the money you have on each character, the total",
	"money you have, total earned since logging on,",
	"and total earned since last viewing the report.",
	"\n",
	"Using one of the following parameters with /tg",
	"or /totalgold will do the following:",
	"\n",
	"help - Display what you're viewing now.",
	"clearall - Clear all saved data for all characters.",
	"resetsession - Reset the session total in the report."
}

TG_ALLDATAERASED = "All Total Gold saved data has been erased.";
TG_SESSIONRESET = "Total Gold's session total has been reset to 0.";

--The following will change the parameters to use with /tg.  Be sure that they match your help text.
TG_HELP = "help";
TG_CLEARALL = "clearall";
TG_RESETSESSION = "resetsession";

if (GetLocale() == "deDE") then
TG_LOADEDMSG = TG_TITLE.." v"..TG_VERSION.." erfolgreich geladen.  /tg um den Report oder /tg hilfe um die Parameter anzusehen.";
TG_BINDING = "Report an/aus";

TG_GP = "G";
TG_SP = "S";
TG_CP = "K";
TG_TEXT = "Text";
TG_COINS = "M\195\188nzen";
TG_SESSIONBUTTON = "Report Reset";

TG_TOTAL = "TOTAL:";
TG_SESSIONEARNINGSTEXT = "Verdienst seit Login:";
TG_OTHEREARNINGSTEXT = "Seit letztem Report:";

TG_HELPARRAY = {
	"TOTAL GOLD HILFE",
	"---------------",
	"\n",
	"/tg oder /totalgold benutzen zum an/aus schalten",
      "des Reports des eigenen Verm\195\182gens (Gesamt",
      "sowie alle Charaktere einzeln), des Verdienstes",
      "seit Login und des Verdienstes seit dem letzten",
      "Betrachten des Reports.",
	"\n",
	"Das Benutzen einer der folgenden Parameter mit",
      "/tg oder /totalgold bewirkt folgendes:",
	"\n",
	"hilfe - Zeigt diesen Text an.",
	"allesl\195\182schen - L\195\182scht alle Daten f\195\188r alle Charaktere",
	"verdienstl\195\182schen - Setzt Verdienst seit Login zur\195\188ck."
}

TG_ALLDATAERASED = "Alle Total Gold Daten wurden gel\195\182scht.";
TG_SESSIONRESET = "Verdienst seit Login wurde auf 0 zur\195\188ckgesetzt.";

--The following will change the parameters to use with /tg.  Be sure that they match your help text.
TG_HELP = "hilfe";
TG_CLEARALL = "allesl\195\182schen";
TG_RESETSESSION = "verdienstl\195\182schen";
TG_EARNINGSPERHOURTEXT = "Verdienst pro Stunde:"; 
end

if (GetLocale() == "frFR") then

end

BINDING_HEADER_TOTALGOLD = TG_TITLE;
BINDING_NAME_TOTALGOLD_REPORT = TG_BINDING;